Loading...
Searching...
No Matches
gisdbase.c File Reference

GIS library - environment routines (gisdbase). More...

`#include <grass/gis.h>`
Include dependency graph for gisdbase.c:

Go to the source code of this file.

## Functions

const char * | G_gisdbase (void)
| Get name of top level database directory.

## Detailed Description

GIS library - environment routines (gisdbase).

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file gisdbase.c.

## Function Documentation

## G_gisdbase()

const char * G_gisdbase | ( | void |  | ) |

Get name of top level database directory.

Returns the full UNIX path name of the directory which holds the database locations.

Returns
  pointer to string containing the base directory

Definition at line 26 of file gisdbase.c.

References G_getenv().

Referenced by G__location_path(), G__mapset_path(), G_make_location(), G_make_mapset(), G_write_projsrid(), and G_write_projwkt().